/***************************************************************************
 *            graphics.h
 *
 *  Thu Jan 27 23:30:29 2005
 *  Copyright  2005  Peter Baldwin
 *  pgbaldwi@uwaterloo.ca
 ****************************************************************************/

#ifndef _GRAPHICS_H
#define _GRAPHICS_H

void gInit( int argc, char *argv[], double ratio );
void gSetColorBlack();
void gSetColorWhite();
void gSetColorGray();
void gSetFontSmall();
void gSetFontMedium();
void gSetFontLarge();
void gDrawString(char *string, double x, double y);
void gGetTextDimensions(char *string, double *w, double *h);
void gDrawRect(double x, double y, double w, double h);
void gFillRect(double x, double y, double w, double h);
void gDrawArc(double x, double y, double w, double h, double a1, double a2);
void gFillArc(double x, double y, double w, double h, double a1, double a2);
void gDrawOutlinedRect(double x, double y, double w, double h);
void gDrawOutlinedArc(double x, double y, double w, double h, double a1, double a2);
void gClearBuffer();
void gSwap();
void gEvents();

#endif /* _GRAPHICS_H */
